import { FC } from "hono/jsx"
import ErrorMessage from "./error-message";

export const LoginForm: FC = (props) => {
  return (
    <>
      {props.error ? <ErrorMessage message={props.error.message} /> : null}
      <form action="/login" method="POST">
        <label for="email">
          <div>Email</div>
          <input type="text" name="email" required />
        </label>
        <label for="password">
          <div>Password</div>
          <input type="password" name="password" required />
        </label>
        <div>
          <input type="submit" name="login" value="Login" />
        </div>
      </form>
    </>
  );
};

