import { FC } from 'hono/jsx';
import ErrorMessage from './error-message';


export const RegisterForm: FC = (props) => {
  return (
    <>
      {props.error ? <ErrorMessage message={props.error.message} /> : null}
      <form action="/register" method="POST">
        <label for="email">
          <div>Email</div>
          <input type="text" name="email" required />
        </label>
        <label for="password">
          <div>Password</div>
          <input type="password" name="password" required />
        </label>
        <label for="password-confirm">
          <div>Confirm Password</div>
          <input type="password" name="password-confirm" require />
        </label>
        <div>
          <input type="submit" name="login" value="Login" />
        </div>
      </form>
    </>
  );
};

