import { Hono } from 'hono';
import { Context } from 'hono';
import { LoginPage } from '../frontend/pages/login';
import { RegisterPage } from '../frontend/pages/register';

const UserHandler = new Hono();

UserHandler.get('/login', async (c: Context) => {
  const errors = c.get('login-errors');
  return c.html(<LoginPage error={errors} />);
});

UserHandler.post('/login', async (c: Context) => {
  const form = await c.req.formData();

  // validate form
  if (form.has('login')) {
    if (form.get('email') == 'me@davesmithhayes.com') {
      if (form.get('password') == 'test') {
        c.set('auth', true);
        return c.redirect('/');
      }
    }
  }

  c.set('login-errors', { error: { message: "Bad credentials" }});
  return c.redirect('/login');
});

UserHandler.get('/register', async (c: Context) => {
  const errors = c.get('register-errors');
  return c.html(<RegisterPage error={errors} />);
})

export default UserHandler;
