import { Hono } from 'hono';
import { siteDataMiddleware } from './middleware/siteData';
import { HomePage } from './frontend/pages/home';
import UserHandler from './handlers/user';

const app = new Hono();
app.use(siteDataMiddleware);

app.get('/', async (c) => {
  return c.html(<HomePage />);
});

// Handlers
app.route('', UserHandler);

export default app;
