import { Context } from 'hono';
import SiteData from '../model/SiteData';

const currentYear = new Date().getFullYear();

const config: SiteData = {
  name: "Slovocast",
  description: "A no-nonesense Podcast hosting platform.",
  baseUrl: "dev.slovocast.com",
  copyright: `Copyright ${currentYear} Slovocast`,
};

const siteDataMiddleware = async function(c: Context, next: CallableFunction) {
  c.set('config', config);
  await next();
};

export { siteDataMiddleware };
